Get Instagram location
Get an Instagram location's name, coordinates and category by location id or URL.
Headers
Get your API keyAPI key (`sfk_...`)
Location id (digits) or its instagram.com location URL.
Endpoint-specific response payload.
`found`, or `not_found` when the location id doesn't exist.
one of: found, not_found
The place. Null when not found.
Location id.
pattern: ^\d+$
Place name.
Latitude.
Longitude.
Place category.
Street address. Often null.
City. Often null.
Short description of the place. Null when none is shown.
Picture of the place. Null when none is shown. Instagram CDN URL; it expires after a while.
Facebook Places id of the same place. Null when none is linked.
pattern: ^\d+$
Public location page URL.
Metadata about the API response.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v2
Code example
curl "https://api.socialfetch.dev/v2/instagram/locations/3001476" \
-H "x-api-key: YOUR_API_KEY"Responses
Instagram location.